Benachrichtigungs-Handler

GET https://seoaudit.dev/api/notification-handlers/
curl --request GET \
--url 'https://seoaudit.dev/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
search Optional Zeichenfolge Der Suchbegriff.
search_by Optional Zeichenfolge Nach welchem Feld suchst du? Erlaubte Werte sind: name.
is_enabled Optional Boolean
type Optional Zeichenfolge Nach welchem Feld suchst du? Erlaubte Werte sind: email, webhook, slack, discord, telegram, microsoft_teams.
datetime_field Optional Zeichenfolge Erlaubte Werte: datetime, last_datetime
datetime_start Optional Zeichenfolge Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional Zeichenfolge Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional Zeichenfolge Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: notification_handler_id, datetime, last_datetime, name.
order_type Optional Zeichenfolge Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge.
page Optional Ganzzahl Die Seitenzahl, von der du Ergebnisse möchtest. Standardmäßig 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-05-14 12:43:00",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://seoaudit.dev/api/notification-handlers?page=1",
        "last": "https://seoaudit.dev/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://seoaudit.dev/api/notification-handlers?page=1"
    }
}
GET https://seoaudit.dev/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://seoaudit.dev/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-05-14 12:43:00",
    }
}
POST https://seoaudit.dev/api/notification-handlers
Parameter Einzelheiten Beschreibung
name Erforderlich Zeichenfolge -
type Erforderlich Zeichenfolge Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams
email Optional Zeichenfolge Verfügbar wann: type = email Email
webhook Optional Zeichenfolge Verfügbar wann: type = webhook Webhook URL
slack Optional Zeichenfolge Verfügbar wann: type = slack Slack webhook URL
discord Optional Zeichenfolge Verfügbar wann: type = discord Discord webhook URL
telegram Optional Zeichenfolge Verfügbar wann: type = telegram Telegram API Token
telegram_chat_id Optional Zeichenfolge Verfügbar wann: type = telegram Telegram Chat ID
microsoft_teams Optional Zeichenfolge Verfügbar wann: type = microsoft_teams Microsoft Teams webhook URL
curl --request POST \
--url 'https://seoaudit.dev/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://seoaudit.dev/api/notification-handlers/{notification_handler_id}
Parameter Einzelheiten Beschreibung
name Optional Zeichenfolge -
type Optional Zeichenfolge Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams
email Optional Zeichenfolge Verfügbar wann: type = email Email
webhook Optional Zeichenfolge Verfügbar wann: type = webhook Webhook URL
slack Optional Zeichenfolge Verfügbar wann: type = slack Slack webhook URL
discord Optional Zeichenfolge Verfügbar wann: type = discord Discord webhook URL
telegram Optional Zeichenfolge Verfügbar wann: type = telegram Telegram API Token
telegram_chat_id Optional Zeichenfolge Verfügbar wann: type = telegram Telegram Chat ID
microsoft_teams Optional Zeichenfolge Verfügbar wann: type = microsoft_teams Microsoft Teams webhook URL
is_enabled Optional Boolean -
curl --request POST \
--url 'https://seoaudit.dev/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://seoaudit.dev/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://seoaudit.dev/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \